# Clipboard get

An action block that gets the clipboard content.

If the proceed option is set to Immediately, then the current clipboard content is retrieved without pausing the fiber. If set to When changed, then the fiber will pause until the clipboard content has changed.

If the clipboard contains multiple items, only the first item is assigned to content variable. `null` is assigned if the content can’t be converted to text.

On Android 13+ the ”read sensitive log data” privilege requires user confirmation for every usage, this requirement can be avoided by choosing a Clipboard workaround in settings.

An alternative to this block is to use the Process text selection block.

Note! This feature isn’t officially supported since Android 10, may not work on higher versions.

## Options

- Proceed — when the fiber should proceed.

## Output variables

- Text content — variable to assign the clipboard content.